org.bdgenomics.adam.rdd.read

# InstrumentedADAMBAMOutputFormat

#### class InstrumentedADAMBAMOutputFormat[K] extends InstrumentedOutputFormat[K, SAMRecordWritable]

Linear Supertypes
InstrumentedOutputFormat[K, SAMRecordWritable], OutputFormat[K, SAMRecordWritable], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. InstrumentedADAMBAMOutputFormat
2. InstrumentedOutputFormat
3. OutputFormat
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new InstrumentedADAMBAMOutputFormat()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def checkOutputSpecs(context: JobContext): Unit

   Definition Classes
     InstrumentedOutputFormat → OutputFormat

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val delegate: OutputFormat[K, SAMRecordWritable]

   Definition Classes
     InstrumentedOutputFormat

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def getOutputCommitter(context: TaskAttemptContext): OutputCommitter

    Definition Classes
      InstrumentedOutputFormat → OutputFormat

15. #### def getRecordWriter(context: TaskAttemptContext): RecordWriter[K, SAMRecordWritable]

    Definition Classes
      InstrumentedOutputFormat → OutputFormat

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def outputFormatClass(): Class[_ <: OutputFormat[K, SAMRecordWritable]]

    Definition Classes
      InstrumentedADAMBAMOutputFormat → InstrumentedOutputFormat

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def timerName(): String

    Definition Classes
      InstrumentedADAMBAMOutputFormat → InstrumentedOutputFormat

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from InstrumentedOutputFormat[K, SAMRecordWritable]

### Inherited from OutputFormat[K, SAMRecordWritable]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped